*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: monospace;
    text-shadow: 0 0 10px rgba(0,0,0,0.8);
}

:root{
    --accent: #00A3FF;
    --button-border-radius: 5px;
    --card-border-radius: 15px;
    --card-box-shadow: 0 0 10px rgba(0,0,0, .3);
    --background-color: rgba(0,0,0, 1);
    --primary-bg: aliceblue;
    --danger: red;
    --text-accent: lawngreen;
    --filter: blur(10px );
    --transition-time: 0.3s;
}

body{
    display: flex;
    flex-direction: column;
    align-items: center;
    min-height: 100vh;
    width: 100%;
    background-image: url("rainy.jpeg");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    background-attachment: scroll;
    backdrop-filter: blur(5px);
}

.container{
    border-radius: var(--card-border-radius);
    box-shadow: var(--card-box-shadow);
    color: var(--accent);
    padding: 10px;
    margin: 10px;
    background: transparent;
    width: 95%;
    max-width: 550px;
}

header{
    top: 0;
    width: 100%;
    padding: 10px;
    height: auto;
    aspect-ratio: 16/5;
    background-color: var(--background-color);
    z-index: 1;
    max-width: 550px;
}

header img{
    width: 95%;
    height: 95%;
    border-radius: var(--card-border-radius);
    margin: 10px;
}

.form-group{
    border-radius: var(--card-border-radius);
    padding: 20px;
    box-shadow: var(--card-box-shadow);
    background: var(--background-color);
    border-left: 2px solid var(--accent);
}

.form-group h4{
    color: var(--text-accent);
    line-height: 1.4;
}

.options{
    padding: 10px;
}

.options button{
    padding: 10px 20px;
    border: 2px solid var(--accent);
    margin: 10px;
    color: var(--accent);
    font-size: 1rem;
    font-weight: bold;
    background: transparent;
    border-radius: var(--button-border-radius);
}

form{
    width: 100%;
    padding:  10px;
    border-radius: var(--card-border-radius);
    box-shadow: var(--card-box-shadow);
}



input[type="text"]{
    padding: 10px 15px;
    border-radius: var(--button-border-radius);
    margin: 10px;
    outline: none;
    border: 2px solid var(--accent);
    background: transparent;
    color: var(--primary-bg);
    font-weight: bold;
    transition: transform var(--transition-time) ease;
}

input[type="text"]:hover{
    transform: scale(1.02);
}

input[type="text"]::placeholder{
    color: var(--accent);
    opacity: 0.7;
}

button[type="submit"]{
    margin: 10px;
    cursor: pointer;
    border: none;
    border-radius: var(--button-border-radius);
    background: var(--primary-bg);
    color: var(--accent);
    padding: 10px;
    font-weight: bold;
    text-transform: uppercase;
}

.spinner{
    width: 45px;
    height: 45px;
    background: rgba(0,0,0,.3);
    border-radius: 50%;
    display: block;
    margin: 10px auto;
    border: 3px solid transparent;
    border-top: 3px solid var(--accent);
    animation: spin .3s linear infinite;
}

@keyframes spin {
    from{transform: rotate(0deg)}
    to{transform: rotate(360deg)}
}

.error{
    padding: 30px;
    text-align: center;
    text-transform: capitalize;
    font-weight: bold;
    color: var(--danger);
    border-radius: var(--card-border-radius);
    margin-top: 20px;
    box-shadow: var(--card-box-shadow);
    border: 2px solid var(--danger);
    backdrop-filter: var(--filter);
}

#searching-msg{
    text-align: center;
    margin: 20px auto;
    font-weight: bold;
}

.name {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    max-width: 90%;
    align-items: center;
    margin: 10px auto;
    overflow: hidden;
}

#name, #emoji{
    font-size: 2.5rem;
    font-weight: bold;
    margin: 10px;
    color: var(--primary-bg);
}

.main {
    width: 100%;
    box-shadow: var(--card-box-shadow);
    padding: 10px;
    font-weight: bold;
    border-radius: var(--card-border-radius);
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 10px;
    margin: 20px auto;
    background-position: center;
    background-size: cover;
}

.main div{
    padding: 40px;
    border-radius: var(--card-border-radius);
    text-align: center;
    color: var(--text-accent);
    font-weight: bold;
    box-shadow: var(--card-box-shadow);
}

#temperature{
    font-size: 28px;
}

.recommendation{
    text-align: center;
    padding: 20px;
    backdrop-filter: blur(3px);
    border-radius: var(--card-border-radius);
    box-shadow: var(--card-box-shadow);
    margin: 10px;
}

#recommendation{
    font-weight: bold;
    font-size: 1.2rem;
    color: var(--text-accent);
}

.cards{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));
    gap: 10px;
    box-shadow: var(--card-box-shadow);
    border-radius: var(--card-border-radius);
    padding: 10px;
}

.card{
    padding: 15px;
    margin: 10px;
    backdrop-filter: var(--filter);
    border-radius: 10px;
    text-align: center;
    font-weight: bold;
    transition: transform var(--transition-time) ease-in-out;
    box-shadow: var(--card-box-shadow);
}

.card:hover{
    transform: translateY(-3px);
}

.card p{
    padding: 10px;
    color: var(--primary-bg);
}

.casts{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(120px,  1fr));
    background: rgba(0,0,0,.3);
    border-radius: var(--card-border-radius);
    grid-gap: 10px;
    padding: 10px;
}

.cast{
    padding: 10px;
    box-shadow: var(--card-box-shadow);
    text-align: center;
    border-radius: var(--card-border-radius);
    transition: transform var(--transition-time) ease;
}

.cast:hover{
    transform: translateY(-3px);
}

.cast p{
    font-size: 20px;
    font-weight: bold;
    margin: 10px;
}

.day{
    text-transform: uppercase;
    letter-spacing: 2px;
    color: var(--primary-bg);
}

.cast .cast-description{
    font-size: 16px;
    color: var(--text-accent);
}

.cast .cast-emoji{
    font-size: 35px;
}

.forecast h2{
    text-align: center;
    margin: 10px;
    color: var(--text-accent);
    font-weight: bold;
}

.hidden{
    display: none;
}